Bug 1497137 - Update kvm_stat
Summary: Update kvm_stat
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Hildenbrand
QA Contact: Chao Yang
URL:
Whiteboard:
Keywords:
: 1497136 1503191 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 09:37 UTC by Miroslav Rezanina
Modified: 2018-04-11 00:37 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-11 00:36:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:37 UTC

Description Miroslav Rezanina 2017-09-29 09:37:19 UTC
kvm_stat utility is part of upstream kernel now. However, due to historical reason we are shipping this utility in qemu-kvm packages. 

Update RHEL-7.5 kvm-stat with recent upstream patches.

Here's preliminary set of upstream patches to consider for applying:

67fbcd62f54d tools/kvm_stat: add '-f help' to get the available event list
efcb521943a8 tools/kvm_stat: use variables instead of hard paths in help
output
5c1954d25d1b tools/kvm_stat: add new interactive command 'b'
ab7ef193fab6 tools/kvm_stat: add new command line switch '-i'
61f381bb7e1a tools/kvm_stat: fix error on interactive command 'g'
865279c53ca9 tools/kvm_stat: display guest list in pid/guest selection
screens
6667ae8f3950 tools/kvm_stat: add new interactive command 'o'
64eefad2cdbf tools/kvm_stat: add new interactive command 's'
1fdea7b28930 tools/kvm_stat: add new interactive command 'h'
38e89c37a1e0 tools/kvm_stat: rename 'Current' column to 'CurAvg/s'
f6d753102a24 tools/kvm_stat: make heading look a bit more like 'top'
5725393764a3 tools/kvm_stat: display message indicating lack of events
62d1b6cc24d0 tools/kvm_stat: show cursor in selection screens
099a2dfc674e tools/kvm_stat: move functions to corresponding classes
c469117df059 tools/kvm_stat: simplify initializers
5e3823a49c50 tools/kvm_stat: remove extra statement
42a947b77b00 tools/kvm_stat: removed unused function
5a7d11f8dc59 tools/kvm_stat: simplify line print logic
2da9d4aaa734 tools/kvm_stat: remove unnecessary header redraws
81468d73b6eb tools/kvm_stat: fix undue use of initial sleeptime
124c2fc9fdf5 tools/kvm_stat: fix event counts display for interrupted
intervals
773bffeeb2f1 tools/kvm_stat: fix typo
e55fe3ccccc1 tools/kvm_stat: add '%Total' column
9f114a03c685 tools/kvm_stat: add interactive command 'r'
4443084fa0cf tools/kvm_stat: add interactive command 'c'
f9ff1087354e tools/kvm_stat: add option '--guest'
645c1728a9d3 tools/kvm_stat: remove regex filter on empty input
72187dfa8e26 tools/kvm_stat: display regex when set to non-default
0152c20f0400 tools/kvm_stat: print error messages on faulty pid filter input
be03ea3b7738 tools/kvm_stat: remove pid filter on empty input
a24e85f6a69f tools/kvm_stat: display guest name when using pid filter
1eaa2f9022d5 tools/kvm_stat: document list of interactive commands
184b2d23b057 tools/kvm_stat: reduce perceived idle time on filter updates
692c7f6deb55 tools/kvm_stat: full PEP8 compliance
a18360693748 tools/kvm_stat: fix trace setup glitch on field updates in
TracepointProvider
e0ba38765c1d tools/kvm_stat: fix misc glitches
dadf1e783924 tools/kvm_stat: handle SIGINT in log and batch modes
9fc0adfc427a tools/kvm_stat: catch curses exceptions only
a0b4e6a0325e tools/kvm_stat: hide cursor

Comment 2 David Hildenbrand 2017-10-17 14:33:23 UTC
*** Bug 1503191 has been marked as a duplicate of this bug. ***

Comment 3 Miroslav Rezanina 2017-10-17 14:46:36 UTC
*** Bug 1497136 has been marked as a duplicate of this bug. ***

Comment 4 Miroslav Rezanina 2017-10-20 09:33:51 UTC
Fix included in qemu-kvm-rhev-2.10.0-3.el7

Comment 8 errata-xmlrpc 2018-04-11 00:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.